Page MenuHomePhabricator

CentralNotice banner sequence: implement feature for MVP
Closed, ResolvedPublic4 Story Points

Description

This task is about coding the feature itself. Unit test are needed for deployable MVP; see T144456.

Details

Related Gerrit Patches:
mediawiki/extensions/CentralNotice : masterBanner sequence campaign mixin
mediawiki/extensions/CentralNotice : masterCampaign mixin config: remove customAdminUIControls prop and improve README
mediawiki/extensions/CentralNotice : masterCustom campaign mixin param handlers
mediawiki/extensions/CentralNotice : masterAdmin UI campaign editor: Isolate and selectively load js/css
mediawiki/extensions/CentralNotice : masterAdmin UI: Consolidate common css
mediawiki/extensions/CentralNotice : masterAdmin UI: delay setup until document ready in campaignManager.js
mediawiki/extensions/CentralNotice : masterAdmin UI: Consolidate and refactor client-side bucket change handler
mediawiki/extensions/CentralNotice : masterAdd FIXME comments in centralnotice.js

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2016, 10:20 PM
DStrine set the point value for this task to 4.Aug 31 2016, 11:00 PM
awight renamed this task from CentralNotice banner sequence: implement MVP to [Epic] CentralNotice banner sequence: implement MVP.Aug 31 2016, 11:00 PM
awight added a project: Epic.
DStrine renamed this task from [Epic] CentralNotice banner sequence: implement MVP to CentralNotice banner sequence: implement MVP.Aug 31 2016, 11:03 PM
DStrine removed a project: Epic.
AndyRussG renamed this task from CentralNotice banner sequence: implement MVP to CentralNotice banner sequence: implement feature for MVP.Aug 31 2016, 11:08 PM
AndyRussG updated the task description. (Show Details)
DStrine assigned this task to AndyRussG.Feb 13 2017, 5:29 PM

Change 345864 had a related patch set uploaded (by AndyRussG):
[mediawiki/extensions/CentralNotice@master] Add FIXME comments in centralnotice.js

https://gerrit.wikimedia.org/r/345864

Change 345872 had a related patch set uploaded (by AndyRussG):
[mediawiki/extensions/CentralNotice@master] Admin UI: Consolidate and refactor client-side bucket change handler

https://gerrit.wikimedia.org/r/345872

Change 345873 had a related patch set uploaded (by AndyRussG):
[mediawiki/extensions/CentralNotice@master] Admin UI: delay setup until document ready in campaignManager.js

https://gerrit.wikimedia.org/r/345873

Change 346033 had a related patch set uploaded (by AndyRussG):
[mediawiki/extensions/CentralNotice@master] Admin UI: Consolidate common css

https://gerrit.wikimedia.org/r/346033

Change 346034 had a related patch set uploaded (by AndyRussG):
[mediawiki/extensions/CentralNotice@master] Admin UI campaign editor: Isolate and selectively load js/css

https://gerrit.wikimedia.org/r/346034

Change 343953 had a related patch set uploaded (by AndyRussG):
[mediawiki/extensions/CentralNotice@master] [WIP] Custom mixin param handlers

https://gerrit.wikimedia.org/r/343953

Change 344988 had a related patch set uploaded (by AndyRussG):
[mediawiki/extensions/CentralNotice@master] [WIP] Custom mixin param handlers

https://gerrit.wikimedia.org/r/344988

Change 345864 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Add FIXME comments in centralnotice.js

https://gerrit.wikimedia.org/r/345864

Change 345872 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Admin UI: Consolidate and refactor client-side bucket change handler

https://gerrit.wikimedia.org/r/345872

Change 345873 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Admin UI: delay setup until document ready in campaignManager.js

https://gerrit.wikimedia.org/r/345873

Change 346033 merged by Cdentinger:
[mediawiki/extensions/CentralNotice@master] Admin UI: Consolidate common css

https://gerrit.wikimedia.org/r/346033

Change 346034 merged by Cdentinger:
[mediawiki/extensions/CentralNotice@master] Admin UI campaign editor: Isolate and selectively load js/css

https://gerrit.wikimedia.org/r/346034

For dragging steps in the UI to work, we need T163051... :)

Change 343953 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Custom campaign mixin param handlers

https://gerrit.wikimedia.org/r/343953

Change 350588 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/extensions/CentralNotice@master] Campaign mixin config: remove customAdminUIControls prop and improve README

https://gerrit.wikimedia.org/r/350588

Change 350588 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Campaign mixin config: remove customAdminUIControls prop and improve README

https://gerrit.wikimedia.org/r/350588

Change 344988 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Banner sequence campaign mixin

https://gerrit.wikimedia.org/r/344988

AndyRussG closed this task as Resolved.Jul 12 2017, 8:03 PM